Subject: Re: [PATCH 41/68] init: use strbufs to store paths

From: Torsten Bögershausen <[email-masked]>
Date: Fri, 02 Oct 2015 08:00:24 +0200

On 10/01/2015 04:51 AM, Jeff King wrote:
> On Wed, Sep 30, 2015 at 01:00:56PM -0700, Junio C Hamano wrote:
>
>>> Wow, my patch isn't even close to reasonable. I didn't realize because
>>> we do not compile this code at all for non-Mac platforms. Sorry.
>> Perhaps the way we completely stub out the platform specific helpers
>> contributes to this kind of gotchas?  I am wondering how much additional
>> safety we would gain if we start doing something like this.
> I think it is an improvement, but it does not solve all of the problems.
> I also botched the implementation of probe_utf8_pathname_composition,
> and that does not get compiled on most platforms (though we _could_
> compile it and just never call it).
>
> -Peff
>
Peff, are you planing a re-roll ?
Or. Junio, do you plan to fix it ?
Or should I send a patch on top of pu ?

The compilation can be tested under Linux like this:

diff --git a/config.mak.uname b/config.mak.uname
index 7486a7e..6d09bd0 100644
--- a/config.mak.uname
+++ b/config.mak.uname
@@ -13,6 +13,9 @@ ifdef MSVC
         uname_O := Windows
  endif

+COMPAT_OBJS += compat/precompose_utf8.o
+BASIC_CFLAGS += -DPRECOMPOSE_UNICODE
+